Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
md5init.c File Reference
`#include "digest.h"`
`#include "md5.h"`
Include dependency graph for md5init.c:

Go to the source code of this file.

## Functions
void | Init_md5 ()

## Variables
static const rb_digest_metadata_t | md5

## Function Documentation

void Init_md5 | ( |  | ) |

Definition at line 27 of file md5init.c.

References Data_Wrap_Struct(), rb_cObject, rb_define_class_under(), rb_define_module(), rb_intern, rb_ivar_set(), rb_path2class(), and rb_require().

## Variable Documentation

const rb_digest_metadata_t md5
| static

Initial value:
= {
RUBY_DIGEST_API_VERSION,
MD5_DIGEST_LENGTH,
MD5_BLOCK_LENGTH,
sizeof(MD5_CTX),
(rb_digest_hash_init_func_t)MD5_Init,
(rb_digest_hash_update_func_t)MD5_Update,
(rb_digest_hash_finish_func_t)MD5_Finish,
}
MD5_BLOCK_LENGTH
#define MD5_BLOCK_LENGTH
Definition: md5.h:76
RUBY_DIGEST_API_VERSION
#define RUBY_DIGEST_API_VERSION
Definition: digest.h:18
MD5_DIGEST_LENGTH
#define MD5_DIGEST_LENGTH
Definition: md5.h:77
rb_digest_hash_finish_func_t
void(* rb_digest_hash_finish_func_t)(void *, unsigned char *)
Definition: digest.h:22
MD5_Init
void MD5_Init(MD5_CTX *pms)
Definition: md5.c:354
MD5_Update
void MD5_Update(MD5_CTX *pms, const uint8_t *data, size_t nbytes)
Definition: md5.c:364
MD5_Finish
void MD5_Finish(MD5_CTX *pms, uint8_t *digest)
Definition: md5.c:402
rb_digest_hash_update_func_t
void(* rb_digest_hash_update_func_t)(void *, unsigned char *, size_t)
Definition: digest.h:21
MD5_CTX
struct md5_state_s MD5_CTX
rb_digest_hash_init_func_t
void(* rb_digest_hash_init_func_t)(void *)
Definition: digest.h:20

Definition at line 11 of file md5init.c.